> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject a payable

> Reject a payable



## OpenAPI

````yaml /v2.yaml post /v2/accounts-payable/payables/{payable_id}/reject
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/accounts-payable/payables/{payable_id}/reject:
    parameters:
      - schema:
          type: string
        name: payable_id
        in: path
        required: true
        description: The ID of the Payable
    post:
      tags:
        - accounts-payable
      summary: Reject a payable
      description: Reject a payable
      operationId: reject-payable
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                acting_user_id:
                  type: integer
                  description: >-
                    The ID of the user performing this action. This will be
                    displayed in the developer dashboard.
                comment:
                  type: string
              required:
                - acting_user_id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/payable'
components:
  schemas:
    payable:
      type: object
      properties:
        action_history:
          type: array
          items:
            type: object
            properties:
              action:
                type: string
                enum:
                  - create
                  - cancel
                  - submit_for_approval
                  - approve
                  - reject
                  - initiate_payment
                  - retry_payment
              comment:
                type: string
                nullable: true
              timestamp:
                type: string
                format: date-time
              user_id:
                type: integer
              user_name:
                type: string
              user_role:
                type: string
                enum:
                  - admin
                  - viewer
                  - payer
                  - ap_approver
                  - ap_creator
        amount:
          type: number
          description: Total payable amount in cents.
        funding_source:
          type: string
          enum:
            - dots_balance
            - ach
        ap_payment_method_id:
          type: string
          format: uuid
        ap_payment_method_name:
          type: string
        ap_vendor_id:
          type: string
          format: uuid
        ap_vendor_name:
          type: string
        api_app_id:
          type: string
          format: uuid
        approval_steps:
          type: array
          items:
            type: object
            properties:
              completed:
                type: boolean
              completed_timestamp:
                type: string
                format: date-time
              num_approvals_required:
                type: integer
              user_approvals:
                type: array
                items:
                  type: object
                  properties:
                    approval_comment:
                      type: string
                      nullable: true
                    approval_given:
                      type: boolean
                    approval_timestamp:
                      type: string
                      format: date-time
                    name:
                      type: string
                    user_id:
                      type: integer
        created:
          type: string
          format: date-time
        currency:
          type: string
        description:
          type: string
          nullable: true
        external_id:
          type: string
          nullable: true
        file_url:
          type: string
          format: uri
          nullable: true
        id:
          type: string
          format: uuid
        items:
          type: array
          items:
            type: object
            properties:
              amount:
                type: number
                description: >-
                  Total line item amount in cents. This should be the unit price
                  multiplied by the quantity.
                minimum: 1
              description:
                type: string
              name:
                type: string
                minLength: 1
              quantity:
                type: number
                minimum: 1
              unit_price:
                type: number
                description: Item unit price in cents.
                minimum: 1
        number:
          type: string
        status:
          type: string
        status_history:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                enum:
                  - created
                  - canceled
                  - submitted_for_approval
                  - rejected
                  - approved
                  - payment_initiated
                  - payment_failed
                  - payment_completed
              timestamp:
                type: string
                format: date-time
        transfer_history:
          type: array
          items:
            type: object
            properties:
              created_timestamp:
                type: string
                format: date-time
              idempotency_key:
                type: string
                format: uuid
              transfer_id:
                type: string
                format: uuid
        transfer_id:
          type: string
          format: uuid
        updated:
          type: string
          format: date-time
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````